LibreOffice LibreOffice 25.8 SDK API Reference

Modules | Variables
WhiteSpaceTreatment.idl File Reference

Go to the source code of this file.

## Modules
module | com
module | com::sun
module | com::sun::star
| the module com::sun::star is the root module of the UNO API.
module | com::sun::star::xsd
| W3C XML Schema-2 data type related interfaces.

## Constant Groups
constants | com::sun::star::xsd::WhiteSpaceTreatment
| specifies possibilities how to treat whitespace in strings

## Variables
const short | Preserve = 0
| White spaces should be preserved when processing the string. More...
const short | Replace = 1
| White spaces should be replaced with TODO when processing the string. More...
const short | Collapse = 2
| Multiple successive white spaces should be collapsed to a single white space when processing the string. More...